//Modified on May 10, 2017
//N.Shevchuk
//Modified by Megumi Iwata on 01.05.2018
//node2: stepper motor board (week13)

#include <SoftwareSerial.h>
#define txPin 5     // PA5(MISO) transmits signal to the bridge 
#define rxPin 4     // PA4(SCK) recieves signal from the bridge

SoftwareSerial mySerial(rxPin,txPin);

const char node = '2';  // network address (ID)
const int ledPin = 7; // LED is PA7 on ATTiny44

int incomingByte;  // signal from the bridge board

void setup()
{
pinMode(ledPin, OUTPUT);
pinMode(txPin, INPUT);  //default tx as input
mySerial.begin(9600);
}
void loop(){

    while(mySerial.available() > 0) // if there is data on the serial
    {
      incomingByte = mySerial.read();   // listen what the bridge says 
      
      if (incomingByte == node){     // if the bridge says '2' (ID)
      digitalWrite(ledPin, HIGH);    // LED blinks
      delay(100);
      digitalWrite(ledPin, LOW);
      delay(100);
      digitalWrite(ledPin, HIGH);
      delay(100);
      digitalWrite(ledPin, LOW);
      delay(100);
      pinMode(txPin, OUTPUT);   // tx as output to send signal to the bridge board
      mySerial.print(" NODE ");
      mySerial.print(node);     // '2'
      mySerial.println(" is blinking.");
      pinMode(txPin, INPUT);    //tx goes back as input again
      digitalWrite(ledPin, LOW);
      delay(1000);
      } else {
     }
   } 
      }

